Search documentation of ExStreamClient

# ExStreamClient.Model.Device (ExStreamClient v0.1.10)

View Source

Schema representing a Device

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.Device{
      created_at: float(),
      disabled: boolean() | nil,
      disabled_reason: String.t() | nil,
      id: String.t(),
      push_provider: :xiaomi | :huawei | :apn | :firebase,
      push_provider_name: String.t() | nil,
      user_id: String.t(),
      voip: boolean() | nil
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()